// Header.tsx
import React from 'react';

interface HeaderProps {
  toggleDivs: () => void;
  showDivs: boolean;
}

const Header: React.FC<HeaderProps> = ({ toggleDivs, showDivs }) => {
  return (
    <header>
      <div className="header-menu">
        <ul>
          <li>
            <a href="/">
              <img src="/img/logo.png" alt="logo" />
            </a>
          </li>
          <li>
            <a href="/documentation">Documentation</a>
          </li>
          <li>
            <a href="/faq">FAQ</a>
          </li>
          <li>
            <button onClick={toggleDivs}>{showDivs ? "Hide Divs" : "Show Divs"}</button>
          </li>
        </ul>
      </div>
    </header>
  );
};

export default Header;
